Name:    libkipi
Summary: Common plugin infrastructure for KDE image applications
Summary(de): Gemeinsame Plugin-Infrastruktur für KDE Grafik-Anwendungen
Version: 15.04.3
Release: %mkrel 2
License: GPLv2+
Group:   Graphical desktop/KDE4
URL:     https://projects.kde.org/projects/kde/kdegraphics/libs/libkexiv2
Source0: ftp://ftp.kde.org/pub/kde/%{stable}/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  kdelibs-devel
Requires: kdelibs


%description
Kipi (KDE Image Plugin Interface) is an effort to develop a common plugin
structure (for Digikam, Gwenview, etc.). Its aim is to share
image plugins among graphic applications.

#german

Kipi (KDE Image Plugin Interface) ist ein Versuch, eine gemeinsame Plugin
Struktur (für Digikam, Gwenview, etc.) zu entwickeln. Das Ziel ist es,
Bild-Plugins unter Grafik-Anwendungen zu teilen.

%package devel
Group: Development/Libraries
Summary:  Development files for %{name}
Summary(de): Entwicklerdateien für %{name} 
Requires: %{name}
Requires: kdelibs-devel 

%description devel
%{summary}.

%prep
%setup -q -n %name-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

%post
/sbin/ldconfig
touch --no-create %{_kde_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde_iconsdir}/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde_iconsdir}/hicolor &> /dev/null || :
fi

%files
%doc AUTHORS COPYING README
%{_bindir}/kxmlkipicmd
%_kde_libdir/libkipi.so.*
%_kde_appsdir/kipi/
%_kde_appsdir/kxmlkipicmd/
%_kde_iconsdir/hicolor/*/*/*
%_kde_datadir/kde4/servicetypes/kipiplugin.desktop
%_kde_datadir/kde4/services/kipiplugin_kxmlhelloworld.desktop

%files devel
%_kde_libdir/kde4/kipiplugin_kxmlhelloworld.so
%_kde_libdir/libkipi.so
%_kde_libdir/pkgconfig/libkipi.pc
%_kde_includedir/libkipi/


%changelog
* Wed May 25 2016 bb <bb> 15.04.3-2pclos2016
- rebuild

* Tue Jul 21 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Sat Mar 07 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

